package com.xxxxxxx.drvpp.fw.batch.main;

import org.springframework.context.ApplicationContext;

import com.xxxxxxx.drvpp.fw.batch.controller.ApplicationController;
import com.xxxxxxx.drvpp.fw.common.util.BeanFactoryBuilder;

public class BatchMain {
	public static void main(String[] args) {
		BatchMain batchMain = new BatchMain();
		batchMain.execute(args);
	}

	public void execute(String[] args) {
		BeanFactoryBuilder builder = BeanFactoryBuilder.getInstance();
		ApplicationContext applicationContext = builder.build();
		ApplicationController applicationController = applicationContext.getBean(ApplicationController.class);
		int result = applicationController.doExecute(args);
		System.out.println("result=" + result);
	}
}